Bug 1025043 - Sporadic permission denied errors trying to read primary cartridge's manifest.yml during update-cluster
Sporadic permission denied errors trying to read primary cartridge's manifest...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Image (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Andy Goldstein
libra bugs
: UpcomingRelease
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-30 15:57 EDT by Andy Goldstein
Modified: 2015-05-14 20:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 22:27:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andy Goldstein 2013-10-30 15:57:27 EDT
We're seeing sporadic errors running update-cluster where the haproxy cartridge fails to read the primary cartridge's manifest because of a permission denied error:

Failed to execute: 'control update-cluster' for /var/lib/openshift/5270b29b6cec0e97d200030b/haproxy

/opt/rh/ruby193/root/usr/share/gems/gems/safe_yaml-0.9.1/lib/safe_yaml.rb:181:in `initialize': Permission denied - /var/lib/openshift/5270b29b6cec0e97d200030b/ruby/metadata/manifest.yml (Errno::EACCES)
        from /opt/rh/ruby193/root/usr/share/gems/gems/safe_yaml-0.9.1/lib/safe_yaml.rb:181:in `open'
        from /opt/rh/ruby193/root/usr/share/gems/gems/safe_yaml-0.9.1/lib/safe_yaml.rb:181:in `safe_load_file'
        from /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-common-1.16.2/lib/openshift-origin-common/models/manifest.rb:217:in `initialize'
        from /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.16.8/lib/openshift-origin-node/model/v2_cart_model.rb:168:in `new'
        from /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.16.8/lib/openshift-origin-node/model/v2_cart_model.rb:168:in `get_cartridge_from_directory'
        from /opt/rh/ruby193/root/usr/share/gems/gems/openshift-origin-node-1.16.8/lib/openshift-origin-node/model/v2_cart_model.rb:94:in `primary_cartridge'
        from /usr/lib/openshift/cartridge_sdk/ruby/sdk.rb:26:in `primary_cartridge'
        from /usr/lib/openshift/cartridge_sdk/ruby/sdk.rb:30:in `primary_cartridge_manifest'
        from -e:1:in `<main>'
Comment 1 openshift-github-bot 2013-10-31 11:00:54 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/65d5850ef1daec53f76adc522096df64d94237d9
Bug 1025043

Added logging to assist in debugging errors when haproxy's
update-cluster control method fails.
Comment 2 Andy Goldstein 2013-11-05 12:37:17 EST
https://github.com/openshift/origin-server/pull/4091
Comment 3 Meng Bo 2013-11-06 21:58:56 EST
November 06 21:54:10 INFO 527b00749c35a15993000030 update-cluster against 'haproxy'
November 06 21:54:16 INFO BZ1025043: Gear 527b00749c35a15993000030 - got exception running update-cluster for the proxy: Failed to execute: 'control update-cluster' for /var/lib/openshift/527b00749c35a15993000030/haproxy
November 06 21:54:16 INFO BZ1025043: Gear 527b00749c35a15993000030 - directory listing of primary cartridge directory:
November 06 21:54:16 INFO BZ1025043: Gear 527b00749c35a15993000030 - drwxr-xr-x. root                     527b00749c35a15993000030 system_u:object_r:openshift_var_lib_t:s0:c0,c1001 .


Change the manifest.yml permission and then try to scale up the app will get the above info in the platform.log.

Move but to verified.
Comment 4 Meng Bo 2013-11-06 22:02:22 EST
build version is devenv_3998

Note You need to log in before you can comment on or make changes to this bug.